#
# spec file for package kec (Version 0.6.2b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kec
Summary:      KEC - a KDE2 client for the eressea game
Version:      0.6.2b
Release:      103
Group:        X11/KDE/Games
#Requires: 
#Provides: 
Copyright: GPL
URL:         http://www.stud.uni-karlsruhe.de/~uz9u/kec/index.html
Source: kec-%{version}.tar.bz2
Patch:  kec-%{version}.dif
# Patch: 
# BuildRoot: /var/tmp/kooka-root

%description
KEC is a KDE2 client for the 'play by email'-game eressea.

Authors:
--------
    Michael Olbrich <michael.olbrich@gmx.net>

SuSE series: k2de

%prep
%setup -q -n kec-0.6.2
%patch

%build
make -f Makefile.cvs
CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=/opt/kde2 \
              --with-kde-dir=/opt/kde2 \
	      --with-qt-dir=/usr/lib/qt2 \
	      --program-transform=kec \
               %{_target_cpu}-suse-linux-gnu 
  make 
  if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
     rm -fr $RPM_BUILD_ROOT
     %{INSTALL_DIR} $RPM_BUILD_ROOT
  fi
  make install prefix=$RPM_BUILD_ROOT/opt/kde2

%install
make install prefix=$RPM_BUILD_ROOT/opt/kde2
# To work around an bug in the tarball
# Directory exists due to image installation.

%clean
# rm -fr $RPM_BUILD_ROOT

%files
/opt/kde2/bin/kec
/opt/kde2/share/apps/kec
/opt/kde2/lib/libkecpart*
/opt/kde2/share/icons/hicolor/*/apps/kec.xpm
/opt/kde2/share/applnk/Applications/kec.desktop
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO 
# spec file ends here

%changelog -n kec
* Tue Sep 18 2001 - freitag@suse.de
-fixed compilation bugs on axp, ppc etc. by declaring friend
  classes properly.
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 13 2001 - ro@suse.de
- fixed to build
* Fri Jul 20 2001 - freitag@suse.de
- fixed filelist missings
* Thu Jul 19 2001 - freitag@suse.de
- update to version 0.6.2b
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 ready
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Mon Feb 12 2001 - freitag@suse.de
- update to version 0.5.1a
* Mon Feb 05 2001 - freitag@suse.de
- update to version 0.5.0
* Wed Jan 31 2001 - freitag@suse.de
- initial version 0.4.2b
